{
  "name": "ucap-webmessenger",
  "version": "0.0.8",
  "author": {
    "name": "LG CNS",
    "email": "lgucap@lgcns.com"
  },
  "description": "Daesang Client for UCap M Messenger",
  "scripts": {
    "postinstall": "electron-builder install-app-deps",
    "ng": "ng",
    "start": "npm-run-all -p start:renderer start:main",
    "start:main": "wait-on http-get://localhost:4200/ && npm run build:main:development && electron --nolazy --inspect-brk=9229 .",
    "start:renderer": "cross-env UCAP_ENV_RUNTIME=ELECTRON ng serve -c renderer-development",
    "start:daesang": "npm-run-all -p start:daesang:renderer start:daesang:main",
    "start:daesang:main": "wait-on http-get://localhost:4200/ && npm run build:daesang:main:development && electron --nolazy --inspect-brk=9229 .",
    "start:daesang:renderer": "cross-env UCAP_ENV_RUNTIME=ELECTRON ng serve -c renderer-daesang-development",
    "start:daesang:browser": "cross-env UCAP_ENV_RUNTIME=BROWSER ng serve -c browser-daesang-development -o",
    "start:browser": "cross-env UCAP_ENV_RUNTIME=BROWSER ng serve -c browser-development -o",
    "build": "npm-run-all -p build:renderer build:main:production",
    "build:renderer": "cross-env NODE_ENV=production ng build -c renderer-development --base-href ./",
    "build:browser": "cross-env UCAP_ENV_RUNTIME=BROWSER ng build -c browser-development --base-href ./NextMessenger_POC",
    "build:main:development": "cross-env NODE_ENV=development TS_NODE_PROJECT='./config/tsconfig.webpack.json' parallel-webpack --config=config/main.webpack.config.ts",
    "build:main:production": "cross-env NODE_ENV=production TS_NODE_PROJECT='./config/tsconfig.webpack.json' NODE_OPTIONS='--max_old_space_size=4096' parallel-webpack --config=config/main.webpack.config.ts",
    "build:daesang": "npm-run-all -p build:daesang:renderer build:daesang:main:production",
    "build:daesang:renderer": "cross-env NODE_ENV=production ng build -c renderer-daesang-production --base-href ./",
    "build:daesang:main:development": "cross-env NODE_ENV=development TS_NODE_PROJECT='./config/tsconfig.webpack.json' parallel-webpack --config=config/main.webpack.config.ts",
    "build:daesang:main:production": "cross-env NODE_ENV=production TS_NODE_PROJECT='./config/tsconfig.webpack.json' NODE_OPTIONS='--max_old_space_size=4096' parallel-webpack --config=config/main.webpack.config.ts",
    "run:daesang": "npm-run-all -p run:daesang:renderer run:daesang:main",
    "run:daesang:main": "wait-on http-get://localhost:4200/ && npm run build:daesang:main:development && electron --nolazy --inspect-brk=9229 .",
    "run:daesang:renderer": "cross-env UCAP_ENV_RUNTIME=ELECTRON ng serve -c renderer-daesang-production",
    "electron:local": "electron .",
    "electron:windows": "npm run build && electron-builder build --windows",
    "electron:windows:daesang": "npm run build:daesang && electron-builder build --windows --x64 --ia32",
    "electron:windows:daesang:x64": "npm run build:daesang && electron-builder build --windows --x64",
    "electron:windows:daesang:ia32": "npm run build:daesang && electron-builder build --windows --ia32",
    "electron:mac": "npm run build && electron-builder build --mac",
    "electron:linux": "npm run build && electron-builder build --linux",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/core": "^8.2.14",
    "auto-launch": "^5.0.5",
    "electron-log": "^3.0.9",
    "electron-store": "^5.1.0",
    "electron-updater": "^4.2.0",
    "electron-window-state": "^5.0.3",
    "fs-extra": "^8.1.0",
    "rxjs": "^6.5.4",
    "semver": "^6.3.0",
    "tslib": "^1.10.0"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "^8.4.1",
    "@angular-devkit/build-angular": "^0.803.22",
    "@angular-devkit/build-ng-packagr": "^0.803.22",
    "@angular/animations": "^8.2.14",
    "@angular/cdk": "^8.2.3",
    "@angular/cdk-experimental": "^8.2.3",
    "@angular/cli": "^8.3.22",
    "@angular/common": "^8.2.14",
    "@angular/compiler": "^8.2.14",
    "@angular/compiler-cli": "^8.2.14",
    "@angular/flex-layout": "^8.0.0-beta.27",
    "@angular/forms": "^8.2.14",
    "@angular/language-service": "^8.2.14",
    "@angular/material": "^8.2.3",
    "@angular/material-moment-adapter": "^8.2.3",
    "@angular/platform-browser": "^8.2.14",
    "@angular/platform-browser-dynamic": "^8.2.14",
    "@angular/router": "^8.2.14",
    "@ngrx/effects": "^8.6.0",
    "@ngrx/entity": "^8.6.0",
    "@ngrx/router-store": "^8.6.0",
    "@ngrx/store": "^8.6.0",
    "@ngrx/store-devtools": "^8.6.0",
    "@ngx-translate/core": "^11.0.1",
    "@types/auto-launch": "^5.0.1",
    "@types/axios": "^0.14.0",
    "@types/clone": "^0.1.30",
    "@types/copy-webpack-plugin": "^5.0.0",
    "@types/crypto-js": "^3.1.43",
    "@types/detect-browser": "^4.0.0",
    "@types/electron-debug": "^2.1.0",
    "@types/electron-devtools-installer": "^2.2.0",
    "@types/extract-text-webpack-plugin": "^3.0.4",
    "@types/file-saver": "^2.0.1",
    "@types/filesize": "^4.1.0",
    "@types/fs-extra": "^8.0.1",
    "@types/jasmine": "~3.3.8",
    "@types/jasminewd2": "^2.0.8",
    "@types/moment-timezone": "^0.5.12",
    "@types/node": "^10.17.13",
    "@types/semver": "^6.2.0",
    "@types/uglifyjs-webpack-plugin": "^1.1.0",
    "@types/webpack": "^4.41.2",
    "@types/webpack-merge": "^4.1.5",
    "@types/webpack-node-externals": "^1.7.0",
    "angular-split": "^3.0.2",
    "autolinker": "^3.11.1",
    "awesome-node-loader": "^1.1.1",
    "awesome-typescript-loader": "^5.2.1",
    "axios": "^0.19.1",
    "classlist.js": "^1.1.20150312",
    "clean-webpack-plugin": "^3.0.0",
    "clone": "^2.1.2",
    "codelyzer": "^5.2.1",
    "concurrently": "^4.1.2",
    "copy-webpack-plugin": "^5.1.1",
    "cross-env": "^5.2.1",
    "crypto-js": "^3.1.9-1",
    "detect-browser": "^4.8.0",
    "devtron": "^1.4.0",
    "electron": "^7.1.8",
    "electron-builder": "^21.2.0",
    "electron-debug": "^3.0.1",
    "electron-devtools-installer": "^2.2.4",
    "electron-reload": "^1.5.0",
    "file-saver": "^2.0.2",
    "filesize": "^4.2.1",
    "hammerjs": "^2.0.8",
    "jasmine-core": "~3.4.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~4.1.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "~2.0.1",
    "karma-jasmine": "~2.0.1",
    "karma-jasmine-html-reporter": "^1.5.1",
    "moment": "^2.24.0",
    "moment-timezone": "^0.5.27",
    "ng-packagr": "^5.7.1",
    "ngrx-store-freeze": "^0.2.4",
    "ngx-logger": "^4.0.8",
    "ngx-perfect-scrollbar": "^8.0.0",
    "ngx-virtual-scroller": "^3.0.3",
    "npm-run-all": "^4.1.5",
    "parallel-webpack": "^2.4.0",
    "protractor": "~5.4.0",
    "queueing-subject": "^0.3.4",
    "rimraf": "^3.0.0",
    "ts-node": "~7.0.0",
    "tsickle": "^0.37.1",
    "tslib": "^1.10.0",
    "tslint": "~5.15.0",
    "typescript": "~3.5.3",
    "uglifyjs-webpack-plugin": "^2.2.0",
    "wait-on": "^3.3.0",
    "web-animations-js": "^2.3.2",
    "webpack": "4.39.2",
    "webpack-cli": "^3.3.10",
    "webpack-node-externals": "^1.7.2",
    "zone.js": "~0.9.1"
  },
  "main": "./dist/ucap-webmessenger-electron/main.js"
}
